MBGEXEC(1)

NAME
mBgExec - Run mBackground on all the images in a metadata table

SYNOPSIS
mBgExec [-p projdir] [-s statusfile] [-d] [-n(o-areas)] images.tbl corrections.tbl corrdir

DESCRIPTION
Runs mBackground on all the images in a metadata table, using the corrections generated by mFitExec.

OPTIONS

-p projdir
    Specifies the path to the directory containing the projected images.

-s statusfile
    Writes output message to statusfile instead of to stdout

-d  Turns on debugging

-n  Indicates that no area images are present (assumes equal weighting for each pixel)

ARGUMENTS

images.tbl
    Image metadata table generated by mImgtbl.

corrections.tbl
    Table of corrections generated by mFitExec

corrdir
    Directory where output images should be written

RESULT
Output FITS images will be created in the directory specified by corrdir, with names that are the same as the uncorrected images.

MESSAGES

OK  [struct stat="OK", count=num-images, nocorrection=num-skipped, failed=num-failed]

ERROR
    MPI initialization failed

ERROR
    Cannot open status file: statusfile

ERROR
    Cannot access corrdir

ERROR
    corrdir is not a directory

ERROR
    Invalid image metadata file: images.tbl

ERROR
    Need columns: cntr and fname in image list

ERROR
    Too many entries in image list for compiled program

ERROR
    mBackground error

EXAMPLES

In this example, images.tbl describes the unprojected or projected images (filenames are the same if mProjExec was used), and corrections.tbl was generated using mBgModel after running mDiffExec and mFitExec on those images.

$ mBgExec -p proj images.tbl corrections.tbl corr
    [struct stat="OK", count=16, failed=0]

corr now contains the images with background removal applied.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.